=== image_common/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(image_common)
find_package(catkin REQUIRED)
catkin_metapackage()
