=== debian/changelog ===
ros-image-common (1.12.1-1) unstable; urgency=medium

  * New upstream version 1.12.1
  * Update patches.
    - Merged: 0004-Switch-to-new-boost-bind-bind.hpp.patch
    - Merged: 0005-Switch-to-hpp-headers-of-pluginlib.patch
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.2
  * Do not modify source directory in test suite (Closes: #1045677)

 -- Timo Röhling <roehling@debian.org>  Mon, 22 Sep 2025 11:45:32 +0200

ros-image-common (1.12.0-14) unstable; urgency=medium

  * Migrate to dh-ros

 -- Timo Röhling <roehling@debian.org>  Sat, 05 Oct 2024 01:23:41 +0200

ros-image-common (1.12.0-13) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Timo Röhling ]
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.0
  * Properly restrict d/watch to ROS 1 versions
  * Add myself to uploaders
  * Enable all hardening options

 -- Timo Röhling <roehling@debian.org>  Tue, 01 Oct 2024 22:22:36 +0200

ros-image-common (1.12.0-12.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062866

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 23:04:06 +0000

ros-image-common (1.12.0-12) unstable; urgency=medium

  * Drop nose dependency (Closes: #1018627)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 29 Aug 2022 14:44:21 +0200

ros-image-common (1.12.0-11) unstable; urgency=medium

  * Add patch for new pluginlib

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 08 Jul 2022 12:41:21 +0200

ros-image-common (1.12.0-10) unstable; urgency=medium

  * Add patch for new pluginlib
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 13 Jun 2022 13:02:05 +0200
