=== debian/control ===
Source: ros-image-common
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Timo Röhling <roehling@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-ros (>= 0.14.0~),
 dh-sequence-python3,
 dpkg-dev (>= 1.22.5),
 catkin (>= 0.8.10-1~),
 libboost-filesystem-dev,
 libboost-python-dev,
 libgtest-dev,
 libmessage-filters-dev,
 libpython3-all-dev,
 librosconsole-dev,
 libroscpp-dev,
 libroslib-dev,
 librostest-dev,
 libsensor-msgs-dev,
 libstd-msgs-dev,
 libyaml-cpp-dev,
 pluginlib-dev,
 python3-all,
 python3-rostest <!nocheck>,
 python3-sensor-msgs <!nocheck>,
 ros-message-generation,
 ros-sensor-msgs,
 ros-std-msgs,
 rosbash <!nocheck>,
 rospack-tools <!nocheck>,
Standards-Version: 4.7.2
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/image_common
Vcs-Browser: https://salsa.debian.org/science-team/ros-image-common
Vcs-Git: https://salsa.debian.org/science-team/ros-image-common.git

Package: libcamera-calibration-parsers-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libboost-filesystem-dev,
 libcamera-calibration-parsers0t64 (= ${binary:Version}),
 librosconsole-dev,
 libsensor-msgs-dev,
 ${misc:Depends},
Description: Robot OS camera_calibration_parsers package - development
 This package is part of Robot OS (ROS). It contains C++ headers for
 reading and writing camera calibration parameters.

Package: camera-calibration-parsers-tools
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Robot OS camera_calibration_parsers_tools package
 This package is part of Robot OS (ROS). It provides tools for
 reading and writing camera calibration parameters.
 .
 They are executables that use libcamera-calibration-parsers.

Package: cl-polled-camera
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Robot OS polled_camera package - LISP
 This package is part of Robot OS (ROS). It contains a LISP interface
 for implementing a polled camera driver node and requesting images
 from it. The package is currently for internal use as the API is
 still under development.

Package: image-transport-tools
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Robot OS image_transport package tools
 This package is part of Robot OS (ROS). This library should always be
 used to subscribe to and publish images. It (image_transport)
 provides transparent support for transporting images in low-bandwidth
 compressed formats. Examples (provided by separate plugin packages)
 include JPEG/PNG compression and Theora streaming video.
 .
 This package provides the tools list_transports and republish.

Package: libcamera-calibration-parsers0t64
Provides:
 ${t64:Provides},
X-Time64-Compat: libcamera-calibration-parsers0d
Replaces:
 libcamera-calibration-parsers0d,
Breaks:
 libcamera-calibration-parsers0d (<< ${source:Version}),
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Robot OS camera_calibration_parsers package
 This package is part of Robot OS (ROS). The package provides
 the library with routines for reading and writing camera
 calibration parameters.

Package: libcamera-info-manager-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libcamera-calibration-parsers-dev,
 libcamera-info-manager0t64 (= ${binary:Version}),
 libimage-transport-dev,
 libroscpp-dev,
 libroslib-dev,
 libsensor-msgs-dev,
 ${misc:Depends},
Description: Robot OS camera_info_manager package - development
 This package is part of Robot OS (ROS). It provides C++ header files
 for camera calibration information: CameraInfo, SetCameraInfo service
 requests, saving and restoring the camera calibration data.

Package: libcamera-info-manager0t64
Provides:
 ${t64:Provides},
X-Time64-Compat: libcamera-info-manager0d
Replaces:
 libcamera-info-manager0d,
Breaks:
 libcamera-info-manager0d (<< ${source:Version}),
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Robot OS camera_info_manager package
 This package is part of Robot OS (ROS). It provides a C++ interface
 for camera calibration information: CameraInfo, SetCameraInfo service
 requests, saving and restoring the camera calibration data.

Package: libimage-transport-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libimage-transport0t64 (= ${binary:Version}),
 libmessage-filters-dev,
 librosconsole-dev,
 libroscpp-dev,
 libroslib-dev,
 libsensor-msgs-dev,
 pluginlib-dev,
 ${misc:Depends},
Description: Robot OS image_transport package - development
 This package is part of Robot OS (ROS). It contains the C++ header
 files for the image_transport transport library which should always
 be used to subscribe to and publish images. It provides transparent
 support for transporting images in low-bandwidth compressed
 formats. Examples (provided by separate plugin packages) include
 JPEG/PNG compression and Theora streaming video.

Package: libimage-transport0t64
Provides:
 ${t64:Provides},
X-Time64-Compat: libimage-transport0d
Replaces:
 libimage-transport0d,
Breaks:
 libimage-transport0d (<< ${source:Version}),
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Robot OS image_transport package
 This package is part of Robot OS (ROS). This library should always be
 used to subscribe to and publish images. It (image_transport)
 provides transparent support for transporting images in low-bandwidth
 compressed formats. Examples (provided by separate plugin packages)
 include JPEG/PNG compression and Theora streaming video.

Package: libpolled-camera-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libimage-transport-dev,
 libpolled-camera0t64 (= ${binary:Version}),
 librosconsole-dev,
 libroscpp-dev,
 libsensor-msgs-dev,
 ros-message-generation,
 ${misc:Depends},
Description: Robot OS polled_camera package - development
 This package is part of Robot OS (ROS). It contains the C++ header
 files for implementing a polled camera driver node and requesting
 images from it. The package is currently for internal use as the API
 is still under development.

Package: libpolled-camera0t64
Provides:
 ${t64:Provides},
X-Time64-Compat: libpolled-camera0d
Replaces:
 libpolled-camera0d,
Breaks:
 libpolled-camera0d (<< ${source:Version}),
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Robot OS polled_camera package
 This package is part of Robot OS (ROS). It contains a service and C++
 helper classes for implementing a polled camera driver node and
 requesting images from it. The package is currently for internal use
 as the API is still under development.

Package: polled-camera-tool
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Robot OS polled_camera package tool
 This package is part of Robot OS (ROS). It contains an executable
 implementing a polled camera driver node and to request images from it.
 The package is currently for internal use as the API is still under
 development.

Package: python3-camera-calibration-parsers
Section: python
Architecture: any
Depends:
 python3-sensor-msgs,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Robot OS camera_calibration_parsers Python 3 package
 This package is part of Robot OS (ROS). It provides routines for
 reading and writing camera calibration parameters.
 .
 This package contains the Python 3 wrapper.

Package: python3-polled-camera
Section: python
Architecture: all
Depends:
 python3-genpy,
 python3-std-msgs,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Robot OS polled_camera package - Python 3
 This package is part of Robot OS (ROS). It contains a Python package
 for implementing a polled camera driver node and requesting images
 from it. The package is currently for internal use as the API is
 still under development.
 .
 This package contains the Python 3 modules.
